cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/subscribe \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 3600,
"method": "public/subscribe",
"params": {
"channels": [
"deribit_price_index.btc_usd"
]
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/subscribe"
payload = {
"jsonrpc": "2.0",
"id": 3600,
"method": "public/subscribe",
"params": { "channels": ["deribit_price_index.btc_usd"] }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 3600,
method: 'public/subscribe',
params: {channels: ['deribit_price_index.btc_usd']}
})
};
fetch('https://test.deribit.com/api/v2/public/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 4235,
"result": [
"deribit_price_index.btc_usd"
]
}{
"jsonrpc": "2.0",
"message": "<string>",
"error": 123,
"id": 123
}Subscription Management
public/subscribe
Subscribe to one or more channels. This is the same method as /private/subscribe, but it can only be used for βpublicβ channels.
For a complete list of available subscription channels and their notification formats, see Notifications and Subscriptions.
Note - This method has distinct API rate limiting requirements: Sustained rate: ~3.3 requests/second. For more information, see Rate Limits.
π Related Article: Market Data Collection Best Practices
cURL
Query Parameters
A list of channels to subscribe to. See Notifications and Subscriptions for all available channels.
Example:
["deribit_price_index.btc_usd"]Was this page helpful?
βI